GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Typedefs
gtk/gtkdatabox_typedefs.h File Reference
`#include <gdk/gdk.h>`
Include dependency graph for gtkdatabox_typedefs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef typedefG_BEGIN_DECLS struct _GtkDatabox | GtkDatabox
typedef struct _GtkDataboxGraph | GtkDataboxGraph

## Typedef Documentation

typedef typedefG_BEGIN_DECLS struct _GtkDatabox GtkDatabox

GtkDatabox: : The parent object : A private structure containing internal data.

A GTK+ widget to display large amounts of numerical data quickly and easily. The numerical data is represented/displayed by GtkDataboxGraph objects, e.g. GtkDataboxPoints.

Implemented by _GtkDatabox;

typedef struct _GtkDataboxGraph GtkDataboxGraph

GtkDataboxGraph : The parent object : A private structure containing internal data.

The GtkDataboxGraph is the base class for all kinds of graphs (e.g. lines, points, decorations like coordinate crosses) to be shown in a GtkDatabox wiget.

Implemented by _GtkDataboxGraph

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines